OCF_HEARTBEAT_MINIO(7)

NAME
ocf_heartbeat_minio - OCF Resource Agent compliant Minio server script.

SYNOPSIS

minio [start | stop | monitor | meta-data | validate-all]

DESCRIPTION

This script manages Minio in an Active-Passive setup

SUPPORTED PARAMETERS

binary
    The Minio server binary

    (optional, string, default "/opt/minio/minio-server")

confdir
    The Minio configuration directory path. For example, "/etc/minio"

    (optional, string, default "/etc/minio")

pidfile
    The Minio PID file. The location of the PID file.

    (optional, string, default "/var/run/minio.pid")

address
    Address to bind minio to.

    (optional, string, default ":9000")

volumepaths
    The storage volumes for minio to use.

    (optional, string, default "/home/shared")

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 20s.

stop
    Stops the resource. Suggested minimum timeout: 20s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 20s. Suggested interval: 60s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 2s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 5s.

EXAMPLE CRM SHELL

The following is an example configuration for a minio resource using the crm(8) shell:

    primitive p_minio ocf:heartbeat:minio \
      op monitor depth="0" timeout="20s" interval="60s"

EXAMPLE PCS

The following is an example configuration for a minio resource using pcs(8)

    pcs resource create p_minio ocf:heartbeat:minio \
      op monitor OCF_CHECK_LEVEL="0" timeout="20s" interval="60s"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)